curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/service/uninstall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"container_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"database_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"helm_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"terraform_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'uninstall selected services
curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/service/uninstall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"container_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"database_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"helm_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"terraform_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Services have been triggered to be uninstalled
Was this page helpful?